function [r] = filter_fft(f)
%filter_fft does the fft filtering, f is the image which you want to apply
%this method.


m = 0.8; % m is a proportion(0<m<1), m means how much information you want keep when doing the fft filtering  

F=fft2(double(f)); %fft2 is the function of matlab, which does the fourior trasformation
F=fftshift(F);

[height, width,z]=size(F); % get the size the matrix F
H(1: height,1: width)=0;

re = height;
if(height>width)
    re = width;
end
re = re/2; %re is the smaller one of height and width

% filter
x0= height /2; y0= width /2;
for x=1:height
for y=1:width
if(sqrt((x- x0)*(x- x0)+(y-y0)*(y- y0))< re*m)
H(x,y)=1;
end
FF(x,y)=F(x,y)*H(x,y);
end
end

g=ifft2(FF);

%figure(1), imshow(f);
%figure(2), imshow(log(abs(F)+1),[ ]);
%figure(3), imshow(log(abs(FF)+1),[ ]);
%figure(4),imshow(abs(real(g)),[ ]);
r=abs(real(g));



end

